## ros-noetic-ixblue-ins-driver 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ixblue_ins_driver)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)
set(CMAKE_BUILD_TYPE RelWithDebInfo)
## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
set(CATKIN_DEPS roscpp nav_msgs sensor_msgs ixblue_ins_msgs diagnostic_msgs diagnostic_updater)
find_package(catkin REQUIRED ${CATKIN_DEPS})

## Specify libraries to link a library or executable target against
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

## System dependencies are found with CMake's conventions

# ixblue_stdbin_decoder must be set before Boost otherwise components are
# overridden (ixblue_stdbin_decoder only require system while we need
# program_options to build the packets replayer)
find_package(ixblue_stdbin_decoder REQUIRED)

find_package(Threads)

# PCAP and Boost program_options are used to build the packets replayer
# that is only used for development so build and requise it as dependency
# if tests are built
if(CATKIN_ENABLE_TESTING)
   find_package(PCAP REQUIRED)
   find_package(Boost REQUIRED COMPONENTS system program_options)
else()
   find_package(Boost REQUIRED COMPONENTS system)
endif()


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
   CATKIN_DEPENDS ${CATKIN_DEPS}
   DEPENDS Boost ixblue_stdbin_decoder
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(${catkin_INCLUDE_DIRS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
aux_source_directory(src NODE_SRCS)
add_executable(${PROJECT_NAME}_node ${NODE_SRCS})

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
add_dependencies(${PROJECT_NAME}_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES} ${Boost_LIBRARIES} ixblue_stdbin_decoder::ixblue_stdbin_decoder)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
   add_executable(packets_replayer tools/packets_replayer.cpp)
   target_link_libraries(packets_replayer ${PCAP_LIBRARY} ${Boost_LIBRARIES} Threads::Threads)

   ## Add gtest based cpp test target and link libraries
   catkin_add_gtest(${PROJECT_NAME}-test
     test/test_ixblue_ins_driver.cpp
     src/ros_publisher.cpp
     src/diagnostics_publisher.cpp
   )
   if(TARGET ${PROJECT_NAME}-test)
    target_link_libraries(${PROJECT_NAME}-test ${catkin_LIBRARIES} ${Boost_LIBRARIES} ixblue_stdbin_decoder::ixblue_stdbin_decoder)
   endif()
endif()

=== debian/changelog ===
ros-noetic-ixblue-ins-driver (0.1.5-1buster) buster; urgency=high

  * Use new std_bin_decoder API to reconstruct incomplete frames
    Avoid the copy of the frame in this driver
  * Contributors: Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Thu, 12 Nov 2020 23:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.4-1buster) buster; urgency=high

  * Add a param to use compensated acceleration (changes previous behavior)
  * Add diagnostics publication
  * Change default frame_id in launch to match node default
  * Fix orientation quaternion content and make NED convention explicit.
  * Bump minimum CMake version to avoid CMP0048 on Noetic buildfarm
  * Contributors: BARRAL Adrien, Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Mon, 26 Oct 2020 23:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.3-1buster) buster; urgency=high

  * Add boost thread as test dependency to fix Debian Stretch build
  * Contributors: Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.2-1buster) buster; urgency=high

  * Fix packets_replayer build by adding CMake package Threads
  * Contributors: Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Sun, 30 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.1-1buster) buster; urgency=high

  * Fix boost dependency for Noetic release
    Only build the packets_replayer if tests are being built
  * Breaking change: Rename ins.msg to Ins.msg and iX/ins topic to ix/ins topic to follow ROS coding style
    - In ROS, message names are CamelCase
    - Topics are in lower case
  * Publish ROS time in header of TimeReference message
  * Contributors: BARRAL Adrien, Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Thu, 27 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.0-1buster) buster; urgency=high

  * Prepare ROS release
  * Add unit test on ROSPublisher::toNavSatFix()
  * Prepare files catkin for release
  * Switch stdbin data received log to debug level
  * Default packets_replayer port is now the same than driver
    And add missing newline at the end of error message
  * ixblue_stdbin_decoder can now be a package within the ROS workspace and
    not only a system library anymore
  * Apply ixblue_stdbin_decoder changes on namespace and include dir name
  * Build packets_replayer only if PCAP dev package is found
  * Initial Commit.
  * Contributors: Adrien BARRAL, Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Wed, 26 Aug 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-ixblue-ins-driver
Section: misc
Priority: optional
Maintainer: Laure LE BRETON <laure.le-breton@ixblue.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-program-options-dev, libboost-system-dev, libboost-thread-dev, libpcap0.8-dev, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-ixblue-ins-msgs, ros-noetic-ixblue-stdbin-decoder, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://wiki.ros.org/ixblue_ins_driver
Standards-Version: 3.9.2

Package: ros-noetic-ixblue-ins-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-system-dev, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-ixblue-ins-msgs, ros-noetic-ixblue-stdbin-decoder, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: The iXblue_ins_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ixblue-ins-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
